# Method: customers.configurations.delete

- [HTTP request](https://developers.google.com/zero-touch/reference/customer/rest/v1/customers.configurations/delete#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/zero-touch/reference/customer/rest/v1/customers.configurations/delete#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/zero-touch/reference/customer/rest/v1/customers.configurations/delete#body.request_body)
- [Response body](https://developers.google.com/zero-touch/reference/customer/rest/v1/customers.configurations/delete#body.response_body)
- [Authorization Scopes](https://developers.google.com/zero-touch/reference/customer/rest/v1/customers.configurations/delete#body.aspect)

Deletes an unused configuration. The API call fails if the customer has devices with the configuration applied.

### HTTP request

`DELETE https://androiddeviceprovisioning.googleapis.com/v1/{name=customers/*/configurations/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The configuration to delete. An API resource name in the format `customers/[CUSTOMER_ID]/configurations/[CONFIGURATION_ID]`. If the configuration is applied to any devices, the API call fails. |

### Request body

The request body must be empty.

### Response body

If successful, the response body is empty.

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/androidworkzerotouchemm`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).